Subject: Re: 0 bot for Git

From: Matthieu Moy <[email-masked]>
Date: Wed, 13 Apr 2016 14:30:06 +0200

Lars Schneider <[email-masked]> writes:

>> On 13 Apr 2016, at 07:43, Matthieu Moy <[email-masked]> wrote:
>> 
>> Junio C Hamano <[email-masked]> writes:
>> 
>>> Matthieu Moy <[email-masked]> writes:
>>> 
>>> True, presumably the Travis integration already solves that part, so
>>> I suspect it is just the matter of setting up:
>>> 
>>> - a fork of git.git and have Travis monitor any and all new
>>>   branches;
>>> 
>>> - a bot that scans the list traffic, applies each series it sees to
>>>   a branch dedicated for that series and pushes to the above fork.
>> 
>> ... and to make it really useful: a way to get a notification email sent
>> on-list or at least to the submitter as a reply to the patch series.
>> Just having a web interface somewhere that knows how broken the code is
>> would not be that useful.
>
> Travis CI could do this but I intentionally disabled it to not annoy anyone.
> It would be easy to enable it here:
> https://github.com/git/git/blob/7b0d47b3b6b5b64e02a5aa06b0452cadcdb18355/.travis.yml#L98-L99

The missing part would be "as a reply to the patch series". When I start
reviewing a series, if the patch is broken and the CI system already
knows, I'd rather have the information attached in the same thread right
inside my mailer.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/